LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDocumentSubStorageSupplier Interface Reference

through this interface documents can provide access to their substorages More...

`import"XDocumentSubStorageSupplier.idl";`

Inheritance diagram for XDocumentSubStorageSupplier:

## Public Member Functions
com::sun::star::embed::XStorage | getDocumentSubStorage ([in] string StorageName, [in] long nMode)
| provides the access to a substorage with specified name More...
sequence< string > | getDocumentSubStoragesNames () raises ( ::com::sun::star::io::IOException )
| provides the list of substorages More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

through this interface documents can provide access to their substorages

A temporary interface to get access to documents substorages.

## Member Function Documentation

## ◆ getDocumentSubStorage()

com::sun::star::embed::XStorage getDocumentSubStorage | ( | [in] string | StorageName,
|  | [in] long | nMode
| ) |  |

provides the access to a substorage with specified name

Parameters

  StorageName | the name of requested substorage
  nMode | a mode the storage should be opened in can take value from com::sun::star::embed::ElementModes

Returns
  XStorage implementation that refers to specified substorage

## ◆ getDocumentSubStoragesNames()

sequence< string > getDocumentSubStoragesNames | ( |  | ) |
raises | ( | ::com::sun::star::io::IOException
| ) |  |

provides the list of substorages

Returns
  sequence of substorages names

The documentation for this interface was generated from the following file:

- com/sun/star/document/XDocumentSubStorageSupplier.idl